%define upstream_name     Text-Hunspell
%define upstream_version 2.05

# SPEC file adapted from Fedora RawHide (Thanks!)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Perl interface to the Hunspell library
Group:      Development/Perl
License:    GPL+ or Artistic
URL:        http://search.cpan.org/dist/text_hunspell/
Source0:    http://search.cpan.org/CPAN/authors/id/C/CO/COSIMO/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:  perl(Data::Dumper), perl(ExtUtils::MakeMaker), perl(Test::More), perl(Test::Pod)
BuildRequires:  gcc-c++, hunspell-devel >= 1.2.8, hunspell-en
BuildRequires:  perl-devel

%description
This module provides a Perl interface to the Hunspell library. This module
is to meet the need of looking up many words, one at a time, in a single
session, such as spell-checking a document in memory.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
HUNSPELL_LIB_NAME=$(pkg-config --libs hunspell | sed 's/-l//; s/[[:space:]]*$//')
perl -pi -e "s/'hunspell'/'${HUNSPELL_LIB_NAME}'/" Makefile.PL t/00-prereq.t
%{__perl} Makefile.PL \
    INSTALLDIRS=vendor \
    LIBS="-l${HUNSPELL_LIB_NAME}" \
    OPTIMIZE="%{optflags}"
%{make}

%install
rm -rf %{buildroot}
%makeinstall_std

%check
LANG=en_US make test TEST_POD=1 TEST_VERBOSE=1

%clean
rm -rf %{buildroot}

%files
%doc Changes README examples/
%{perl_vendorarch}/auto/Text/
%{perl_vendorarch}/Text/
%{_mandir}/man3/Text::Hunspell.3pm*



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.50.0-2.mga3
+ Revision: 374103
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 shlomif <shlomif> 2.50.0-1.mga3
+ Revision: 298410
- New version 2.05

* Fri Sep 14 2012 shlomif <shlomif> 2.30.0-1.mga3
+ Revision: 293899
- Made the package more Mageia-compliant.

* Thu Sep 13 2012 shlomif <shlomif> 2.03-2.mga3
+ Revision: 293681
- Imported from Fedora (with some fixes and customizations by shlomif

